/*================================================================
==================================================================
=	obsluga magistrali I2C
=	CPU = ATMega162
=   CLK = 8MHz
==================================================================	
================================================================*/

#ifndef _AVR_I2C_H_
#define _AVR_I2C_H_


#define I2C PORTD				// magistrala I2C, PD0 = SDA  PD1 = SCL
#define I2C_DIR DDRD			// kierunek magistrali I2C
#define I2C_IN PIND				// wejscie magistrali I2C
#define SDA 1					// PD0 = SDA
#define SCL 2					// PD1 = SCL
#define ADRES 0xA0				// adres RTC


void I2C_Start(void);
void I2C_Stop(void);

unsigned char I2C_Read(unsigned char);
unsigned char I2C_Send(unsigned char);

void I2C_Wyslij(unsigned char, unsigned char, unsigned char, unsigned char*);
void I2C_Odbierz(unsigned char, unsigned char, unsigned char, unsigned char*);


#endif
